import * as Boom from 'boom';
import { AdapterAbstract } from './Abstract';
import { ILoggerContext } from '../types';
export declare abstract class LoggerSegment {
    abstract close(): void;
    abstract reportException(e: Boom, namespace: string): this;
    abstract addContext(context: ILoggerContext): this;
}
export declare abstract class AdapterLogger<I extends LoggerSegment = LoggerSegment> extends AdapterAbstract {
    abstract flush(): Promise<void>;
    abstract log(message: string, namespace: string, context: ILoggerContext): this;
    abstract createSegment(traceId?: string): I;
}
