import { AdapterLogger, LoggerSegment } from '../../adapters/Logger';
import { Exception } from '../../utils';
import { ILoggerContext } from '../../types';
export declare class LoggerSegmentsWrapper {
    segments: Map<string, LoggerSegment>;
    constructor(segments: any);
    close(): void;
    reportException(e: Exception, namespace?: string): void;
    addContext(context?: ILoggerContext): void;
}
export declare namespace Logger {
    const addLogger: (key: string, logger: AdapterLogger) => void;
    const flush: () => Promise<void>;
    const log: (message: string, namespace?: string, context?: ILoggerContext) => void;
    const createSegment: (traceId?: string) => LoggerSegmentsWrapper;
    /**
     * @deprecated Please change to Logger.log()
     */
    function error(message: string, namespace?: string): void;
    /**
     * @deprecated Please change to Logger.log()
     */
    function warn(message: string, namespace?: string): void;
    function debug(message: string, namespace?: string): void;
}
